### Method

# Pango Fontget_features

since: 1.44

#### Declaration [src]

    void
    pango_font_get_features (
      PangoFont* font,
      hb_feature_t* features,
      guint len,
      guint* num_features
    )

#### Description [src]

Obtain the OpenType features that are provided by the font.

These are passed to the rendering system, together with features that have been explicitly set via attributes.

Note that this does not include OpenType features which the rendering system enables by default.

Available since: 1.44

#### Parameters

`features`

  Type: An array of `hb_feature_t`

  Array to features in.

  The argument will be set by the function.
  The length of the array is specified in the `len` argument.
  The data is owned by the instance.

`len`

  Type: `guint`

  The length of `features`.

`num_features`

  Type: `guint*`

  The number of used items in `features`.

  The argument will be modified by the function.